### Class

# Gdk DeviceTool

#### Description [src]

    final class Gdk.DeviceTool : GObject.Object {
      /* No available fields */
    }

A physical tool associated to a `GdkDevice`.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gdk_device_tool_get_axes

Gets the axes of the tool.

###### gdk_device_tool_get_hardware_id

Gets the hardware ID of this tool, or 0 if it’s not known.

###### gdk_device_tool_get_serial

Gets the serial number of this tool.

###### gdk_device_tool_get_tool_type

Gets the `GdkDeviceToolType` of the tool.

#### Properties

###### Gdk.DeviceTool:axes

The axes of the tool.

###### Gdk.DeviceTool:hardware-id

The hardware ID of the tool.

###### Gdk.DeviceTool:serial

The serial number of the tool.

###### Gdk.DeviceTool:tool-type

The type of the tool.